Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Remove gemspec from gitignore.

  • Loading branch information...
commit f58262157f8bac338e651b370aa1ac43b2a48dbb 1 parent 41a4ab1
@josevalim josevalim authored
Showing with 121 additions and 1 deletion.
  1. +0 −1  .gitignore
  2. +1 −0  lib/thor/runner.rb
  3. +120 −0 thor.gemspec
View
1  .gitignore
@@ -2,4 +2,3 @@
/coverage
/spec/sandbox
/rdoc
-thor.gemspec
View
1  lib/thor/runner.rb
@@ -1,4 +1,5 @@
require 'fileutils'
+require 'thor/core_ext/file_binary_read'
require 'open-uri'
require 'yaml'
require 'digest/md5'
View
120 thor.gemspec
@@ -0,0 +1,120 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Thorfile, and run the gemspec command
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{thor}
+ s.version = "0.13.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Yehuda Katz", "Jos\303\251 Valim"]
+ s.date = %q{2010-02-03}
+ s.description = %q{A scripting framework that replaces rake, sake and rubigen}
+ s.email = %q{ruby-thor@googlegroups.com}
+ s.executables = ["thor", "rake2thor"]
+ s.extra_rdoc_files = [
+ "CHANGELOG.rdoc",
+ "LICENSE",
+ "README.rdoc",
+ "Thorfile"
+ ]
+ s.files = [
+ "CHANGELOG.rdoc",
+ "LICENSE",
+ "README.rdoc",
+ "Thorfile",
+ "bin/rake2thor",
+ "bin/thor",
+ "lib/thor.rb",
+ "lib/thor/actions.rb",
+ "lib/thor/actions/create_file.rb",
+ "lib/thor/actions/directory.rb",
+ "lib/thor/actions/empty_directory.rb",
+ "lib/thor/actions/file_manipulation.rb",
+ "lib/thor/actions/inject_into_file.rb",
+ "lib/thor/base.rb",
+ "lib/thor/core_ext/file_binary_read.rb",
+ "lib/thor/core_ext/hash_with_indifferent_access.rb",
+ "lib/thor/core_ext/ordered_hash.rb",
+ "lib/thor/error.rb",
+ "lib/thor/group.rb",
+ "lib/thor/invocation.rb",
+ "lib/thor/parser.rb",
+ "lib/thor/parser/argument.rb",
+ "lib/thor/parser/arguments.rb",
+ "lib/thor/parser/option.rb",
+ "lib/thor/parser/options.rb",
+ "lib/thor/rake_compat.rb",
+ "lib/thor/runner.rb",
+ "lib/thor/shell.rb",
+ "lib/thor/shell/basic.rb",
+ "lib/thor/shell/color.rb",
+ "lib/thor/task.rb",
+ "lib/thor/util.rb",
+ "lib/thor/version.rb"
+ ]
+ s.homepage = %q{http://yehudakatz.com}
+ s.rdoc_options = ["--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubyforge_project = %q{textmate}
+ s.rubygems_version = %q{1.3.5}
+ s.summary = %q{A scripting framework that replaces rake, sake and rubigen}
+ s.test_files = [
+ "spec/actions/create_file_spec.rb",
+ "spec/actions/directory_spec.rb",
+ "spec/actions/empty_directory_spec.rb",
+ "spec/actions/file_manipulation_spec.rb",
+ "spec/actions/inject_into_file_spec.rb",
+ "spec/actions_spec.rb",
+ "spec/base_spec.rb",
+ "spec/core_ext/hash_with_indifferent_access_spec.rb",
+ "spec/core_ext/ordered_hash_spec.rb",
+ "spec/fixtures/application.rb",
+ "spec/fixtures/bundle/execute.rb",
+ "spec/fixtures/doc/config.rb",
+ "spec/group_spec.rb",
+ "spec/invocation_spec.rb",
+ "spec/parser/argument_spec.rb",
+ "spec/parser/arguments_spec.rb",
+ "spec/parser/option_spec.rb",
+ "spec/parser/options_spec.rb",
+ "spec/rake_compat_spec.rb",
+ "spec/runner_spec.rb",
+ "spec/shell/basic_spec.rb",
+ "spec/shell/color_spec.rb",
+ "spec/shell_spec.rb",
+ "spec/spec_helper.rb",
+ "spec/task_spec.rb",
+ "spec/thor_spec.rb",
+ "spec/util_spec.rb",
+ "spec/actions",
+ "spec/core_ext",
+ "spec/fixtures",
+ "spec/fixtures/bundle",
+ "spec/fixtures/bundle/main.thor",
+ "spec/fixtures/doc",
+ "spec/fixtures/doc/%file_name%.rb.tt",
+ "spec/fixtures/doc/components",
+ "spec/fixtures/doc/README",
+ "spec/fixtures/group.thor",
+ "spec/fixtures/invoke.thor",
+ "spec/fixtures/script.thor",
+ "spec/fixtures/task.thor",
+ "spec/parser",
+ "spec/sandbox",
+ "spec/shell",
+ "spec/spec.opts"
+ ]
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ else
+ end
+ else
+ end
+end
+
Please sign in to comment.
Something went wrong with that request. Please try again.